> For the complete documentation index, see [llms.txt](https://docs.nftgarden.app/jp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nftgarden.app/jp/api/nft-api/v1.2/create-qrcode.md).

# QRデータ生成(クライアント署名なし)

## qrcode <a href="#createnft" id="createnft"></a>

クライアント署名を含まないQRコードを生成します。

## **基本情報** <a href="#basic-info" id="basic-info"></a>

<table><thead><tr><th width="134">プロパティ</th><th width="268.234375">詳細</th></tr></thead><tbody><tr><td>URL</td><td><code>/api/v1/tokengate/qrcode</code></td></tr><tr><td>Method</td><td>POST</td></tr></tbody></table>

## **リクエストパラメータ** <a href="#request" id="request"></a>

<table><thead><tr><th width="231">パラメータ</th><th width="85">種類</th><th width="78">必須</th><th width="349.16796875">詳細</th></tr></thead><tbody><tr><td>contract_address</td><td>str</td><td>yes</td><td>コントラクトアドレス</td></tr><tr><td>token_id</td><td>str</td><td>yes</td><td>対象NFTのトークンID</td></tr><tr><td>wallet_address</td><td>str</td><td>yes</td><td>対象NFTを所有しているウォレットアドレス</td></tr><tr><td>blockchain</td><td>str</td><td>yes</td><td>対象NFTのブロックチェーン</td></tr></tbody></table>

## **リクエストのサンプル** <a href="#sample" id="sample"></a>

```json
{
  "contract_address": "0x0000000000000000000000000000000000000000",
  "token_id": "0",
  "nft_gdn_id": "cf7faf94-a5ec-462c-ad06-1bd772fefe21",
  "wallet_address": "0x1111111111111111111111111111111111111111",
  "blockchain": "polygon"
}
```

## **成功した場合のレスポンス例** <a href="#response" id="response"></a>

```json
{
  "requests": {
      "contract_address": "0x0000000000000000000000000000000000000000",
      "token_id": "0",
      "nft_gdn_id": "cf7faf94-a5ec-462c-ad06-1bd772fefe21",
      "wallet_address": "0x1111111111111111111111111111111111111111",
      "blockchain": "polygon"
  },
  "response": {
      "claims": {
          "parameters": {
              "blockchain": "polygon",
              "nftContractAddress": "0x0000000000000000000000000000000000000000",
              "nftTokenId": 0,
              "ownerWalletAddress": "0x1111111111111111111111111111111111111111",
              "context": "string"
          },
          "iat": 1746025200,
          "exp": 1746025800,
          "verifiedOwnerWallet": false
      },
      "signature": "MxRh4nynXvBF3nZ0Naau2gJkBqHZj72gzvnzBW0EQCIAz_5zFcEI8yjnSHWM5pEJwU8EWQiBV_l0P7MAiAeu3lyuK1-VQm"
  }
}
```

## **失敗した場合のレスポンス例(ステータスコード400)** <a href="#error" id="error"></a>

```json
{
  "error": {
    "title": "Bad Request",
    "message": "contract_address and blockchain are inconsistent"
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nftgarden.app/jp/api/nft-api/v1.2/create-qrcode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
